Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface AssociationEngine

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

All Known Implementing Classes:
  AssociationEngineImpl

public interface AssociationEngine
extends org.eclipse.emf.ecore.EObject, java.io.Serializable

A representation of the model object 'Association Engine'.

The AssociationEngine identifies the application that establishes associations among related or associated events. In addition, it provides properties to describe the types of the associations.

The AssociationEngine is a standalone entity in the XML schema and the AssociatedEvents created by the application that is identified by the AssociationEngine refer to it. This will eliminate the need to repeat the same data in every associated event.

Upon object creation and/or initialization (e.g. `init()`), a new unique `GUID` is assigned to the `id` property.

Since:
  1.0

  The following features are supported:

  - `Id`
  - `Name`
  - `Type`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getAssociationEngine()`

Field Summary
`static java.lang.String` | `TYPE_CAUSED_BY` Value for the Type attribute.
`static java.lang.String` | `TYPE_CLEARED` Value for the Type attribute.
`static java.lang.String` | `TYPE_CONTAIN` Value for the Type attribute.
`static java.lang.String` | `TYPE_CORRELATED` Value for the Type attribute.
`static java.lang.String` | `TYPE_MULTI_PART` Value for the Type attribute.

Method Summary
`java.lang.String` | `getId()` Returns the value of the 'Id' attribute.
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
`java.lang.String` | `getType()` Returns the value of the 'Type' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `setId(java.lang.String value)` Sets the value of the '`Id`' attribute.
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` | `setType(java.lang.String value)` Sets the value of the '`Type`' attribute.
`void` | `validate()` Checks whether the contents of this object conforms to the CBE specification.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### TYPE_CONTAIN

    public static final java.lang.String TYPE_CONTAIN

  Value for the Type attribute.

  The association represents containment of other events within a root event.

  See Also:
    `getType()`, Constant Field Values

### TYPE_CAUSED_BY

    public static final java.lang.String TYPE_CAUSED_BY

  Value for the Type attribute.

  The association represents a causality allowing the associated event to point to the cause of the situation.

  See Also:
    `getType()`, Constant Field Values

### TYPE_CLEARED

    public static final java.lang.String TYPE_CLEARED

  Value for the Type attribute.

  The association represents a relationship where an event points to an event that fixes or results in the situation becoming irrelevant.

  See Also:
    `getType()`, Constant Field Values

### TYPE_MULTI_PART

    public static final java.lang.String TYPE_MULTI_PART

  Value for the Type attribute.

  The association represents a collection of events together compose a single event.

  See Also:
    `getType()`, Constant Field Values

### TYPE_CORRELATED

    public static final java.lang.String TYPE_CORRELATED

  Value for the Type attribute.

  The association represents a relationship between a child and parent event based on a correlation algorithm specified in the name of the association.

  See Also:
    `getType()`, Constant Field Values

Method Detail

### getId

    public java.lang.String getId()

  Returns the value of the 'Id' attribute.

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `EventPackage.getAssociationEngine_Id()`

### setId

    public void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  The primary identifier for the element. This property must be globally unique. The recommend value for this is either a 128 bit or 256 bit Globally Unique Id (represented as hex string). Once this value is set it must never be changed. This is a required property.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

### getType

    public java.lang.String getType()

  Returns the value of the 'Type' attribute.

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `setType(String)`, `EventPackage.getAssociationEngine_Type()`

### setType

    public void setType(java.lang.String value)

  Sets the value of the '`Type`' attribute.

  This property should contain the type of association created by this AssociationEngine. Some well defined associations are:

  - Contains
  - Cleared
  - CausedBy
  - MultiPart
  - Correlated

  This is a required property. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `getType()`

### getName

    public java.lang.String getName()

  Returns the value of the 'Name' attribute.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `EventPackage.getAssociationEngine_Name()`

### setName

    public void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  The name of the application that creates the association (for example, my correlation engine name). This is a required property. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of this object conforms to the CBE specification.

  Throws:
    `ValidationException` - if the object does not follow the CBE specification.

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state, except the `id` property.

  This API assigns a new unique `GUID` to the `id` property.

  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD